Package com.smartgwt.client.widgets.grid

# Class DragTrackerTitleCustomizer

java.lang.Object
com.smartgwt.client.widgets.grid.DragTrackerTitleCustomizer

public abstract class DragTrackerTitleCustomizer extends Object
Hover customizer object for returning a different icon when a user has selected record(s) and is dragging them.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DragTrackerTitleCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getDragTrackerTitle(ListGridRecord listGridRecord, int rowNum)`
  Return "title" HTML to display as a drag tracker when the user drags some record.
  Default implementation will display the cell value for the title field (see +link{listGrid.getTitleField()}) for the record(s) being dragged (including any icons / custom formatting / styling, etc).
  `ListGrid`
  `getGrid()`
  Returns the ListGrid over which the hover occurred
  `void`
  `setGrid(ListGrid grid)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DragTrackerTitleCustomizer

    public DragTrackerTitleCustomizer()

- ## Method Details

  - ### setGrid

    public void setGrid(ListGrid grid)

  - ### getGrid

    public ListGrid getGrid()
    Returns the ListGrid over which the hover occurred
    Returns:
      ListGrid over which the hover occurred

  - ### getDragTrackerTitle

    public abstract String getDragTrackerTitle(ListGridRecord listGridRecord, int rowNum)
    Return "title" HTML to display as a drag tracker when the user drags some record.
    Default implementation will display the cell value for the title field (see +link{listGrid.getTitleField()}) for the record(s) being dragged (including any icons / custom formatting / styling, etc).

    Note: Only called if +link{listGrid.dragTrackerMode} is set to `"title"`.

    Parameters:
      `record` - being dragged.
      `rowNum` -
    Returns:
      Title HTML for the row. Default implementation looks at the value of the title-field cell for the row.